### Function

# Cogl PixelFormat get_n_planes

#### Declaration [src]

    int
    cogl_pixel_format_get_n_planes (
      CoglPixelFormat format
    )

#### Description [src]

Returns the number of planes the given CoglPixelFormat specifies.

#### Parameters

`format`

  Type: `CoglPixelFormat`

  The format for which to get the number of planes.

#### Return value

Type: `int`

The no. of planes of `format` (at most `COGL_PIXEL_FORMAT_MAX_PLANES`).